import logging
import os

from ecu import ECUFactorySettings, ECUManager

# Configure logging
log = logging.getLogger()
log.setLevel(logging.INFO)
logHandler = logging.StreamHandler()
logFormat = logging.Formatter('%(asctime)s %(levelname)s - '
                              '%(name)s: %(message)s')
logHandler.setFormatter(logFormat)
log.addHandler(logHandler)

# List all devices
manager = ECUManager()
print('---------------------------------------------'
      '---------------------------------------------')
for ecu in manager.get_all():
    print(ecu)
print('---------------------------------------------'
      '---------------------------------------------')
if len(manager.get_all()) == 0:
    raise ConnectionError('No ECU found!')

os.chdir(os.path.dirname(os.path.abspath(__file__)))

for ecu in manager.get_all():
    ecu.__class__ = ECUFactorySettings
    ecu.firmware_write('ECU-P2_v1.7.hex')
